How to Build
============

PCManX-gtk2 uses autotools (Automake / Autoconf / libtool) to construct
its building process, and provides various options for different profiles.

You can launch configure script with --help to dump the supported options, 
and here are the latest options:

  --enable-static	Enable static build.
  --disable-shared	Disabled dynamic build. [Default: Dynamic]
			If dynamic build enabled (default), the build results
			in libpcmanx_core.so as the shared library for the 
			standalone program and the plugin (if enabled). You
			can avoid this via the combination of the two options.
  --enable-debug	Enable debugging support or not [Default: Disabled]
			It will cause PCManX to dump more detail informations.

  --prefix=DIR		Specify the prefix directory to DIR. Usually, we woild
			like to use /usr as the manner defined in LSB (Linux
			Standard Base).
  --disable-mmx		Disable Intel MMX optimizations. [Default: Enabled]
  --disable-docklet	Disable the docklet / system tray support.
			[Default: Enabled]
  --disable-notifier	Disable the popup notification support for incoming
			messages. [Default: Enabled]
  --disable-external	Disable the using of external SSH and Telnet program.
			[Default: Enabled]
  --enable-plugin	Enable the build of Mozilla/Firefox plugin for PCManX.
			You should install the development packages of Mozilla
			/ Firefox. [Default: Disabled]
  --disable-nancy	Disable NancyBot. ( Disable auto-reply waterballs )
			[Default: Enabled]

  --with-mozilla=DIR	Specify DIR as the Mozilla root directory for headers
			and libraries.
  --enable-libnotify	Enable the use of popup notifier support by libnotify.
			[Default: Disabled]
  --disable-mouse	Disable mouse click and wheel support
			[Default: Enabled]
  --enable-wget		Enable wget support [Default: Disable]
  --enable-iplookup	Enable IP location lookup. Useful to China locations.
			You also need to download qqwry.dat from the web and
			place it at ~/.pcmanx/qqwry.dat (case sensitive).
			[Default: Disabled]
  --enable-proxy	Enable proxy server support
			[Default: Disabled]

For example, if you are willing to create a special build dedicated to full-
functional PCManX as standalone program and an independent plugin (no shared
libraries), you can invoke the script as following:

  # ./configure \
	--prefix=/usr \
	--enable-static \
	--disable-shared \
	--enable-plugin


Runtime Options
===============
Passing "--help" argument to the command line would dump several options as
following:

Help Options:
  -?, --help                  Show help options

Application Options:
  -m, --multiple-instance=N   Allow multiple instances

